import 'package:flutter/material.dart';
import 'package:turquessa_mesas_hoster/core/models/categoria_producto_model.dart';
import 'package:turquessa_mesas_hoster/core/models/media_model.dart';
import 'package:turquessa_mesas_hoster/core/models/pedido_model.dart';
import 'package:turquessa_mesas_hoster/core/models/producto_model.dart';

class CreacionPedidoViewModel extends ChangeNotifier {
  final List<Producto> _pedidosProvisionales = <Producto>[
     Producto(
      idCategoria: 1,
      nombre: 'Café Latte',
      descripcion: 'Café con leche y espuma',
      imagen: 'https://example.com/cafe_latte.jpg',
      venta: 1,
      existencia: 50,
      precio: 4.50,
      verMenu: 1,
      codigo: 'CL001',
      descuento: '10%',
      toping: 1,
      topings: [
        Producto(id: 1, nombre: 'Crema Batida', precio: 0.50),
        Producto(id: 2, nombre: 'Chocolate', precio: 0.75),
      ],
      activo: 1,
      media: [],
      idWeb: 101,
      sincronizado: 'Sí',
    ),
     Producto(
      idCategoria: 1,
      nombre: 'Café Latte',
      descripcion: 'Café con leche y espuma',
      imagen: 'https://example.com/cafe_latte.jpg',
      venta: 1,
      existencia: 50,
      precio: 4.50,
      verMenu: 1,
      codigo: 'CL001',
      descuento: '10%',
      toping: 1,
      topings: [
        Producto(id: 1, nombre: 'Crema Batida', precio: 0.50),
        Producto(id: 2, nombre: 'Chocolate', precio: 0.75),
      ],
      activo: 1,
      media: [],
      idWeb: 101,
      sincronizado: 'Sí',
    )
  ];
  List<Producto> get pedidosProvisionales => _pedidosProvisionales;

  void addPedidoProvisional(Producto pedido) {
    _pedidosProvisionales.add(pedido);
    notifyListeners();
  }

  void deletePedidoProvisional(Producto pedido) {
    _pedidosProvisionales.remove(pedido);
  }
}
